      subroutine get_bry
      


      use Agrif_Util
#include "Param_BeforeCall_get_bry.h"
      

        call Sub_Loop_get_bry( Agrif_tabvars_i(14)%iarray0, Agrif_tabvar
     &s_i(4)%iarray0, Agrif_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%ia
     &rray0, Agrif_tabvars_i(167)%iarray0, Agrif_tabvars_r(8)%array0, Ag
     &rif_tabvars_i(176)%iarray0, Agrif_tabvars(162)%array4, Agrif_tabva
     &rs(164)%array3, Agrif_tabvars(166)%array3, Agrif_tabvars(168)%arra
     &y2, Agrif_tabvars(170)%array2, Agrif_tabvars(172)%array2, Agrif_ta
     &bvars(174)%array4, Agrif_tabvars(176)%array3, Agrif_tabvars(178)%a
     &rray3, Agrif_tabvars(180)%array2, Agrif_tabvars(182)%array2, Agrif
     &_tabvars(184)%array2, Agrif_tabvars(186)%array4, Agrif_tabvars(188
     &)%array3, Agrif_tabvars(190)%array3, Agrif_tabvars(192)%array2, Ag
     &rif_tabvars(194)%array2, Agrif_tabvars(196)%array2, Agrif_tabvars(
     &198)%array4, Agrif_tabvars(200)%array3, Agrif_tabvars(202)%array3,
     & Agrif_tabvars(204)%array2, Agrif_tabvars(206)%array2, Agrif_tabva
     &rs(208)%array2, Agrif_tabvars_r(3)%array0, Agrif_tabvars_r(5)%arra
     &y0, Agrif_tabvars(210)%array1, Agrif_tabvars_i(271)%iarray0, Agrif
     &_tabvars_i(272)%iarray0, Agrif_tabvars_i(273)%iarray0, Agrif_tabva
     &rs_r(72)%array0, Agrif_tabvars_i(270)%iarray0, Agrif_tabvars_i(246
     &)%iarray1, Agrif_tabvars_i(247)%iarray0, Agrif_tabvars_i(248)%iarr
     &ay0, Agrif_tabvars_i(249)%iarray0, Agrif_tabvars_i(250)%iarray0, A
     &grif_tabvars_i(251)%iarray0, Agrif_tabvars_i(252)%iarray1, Agrif_t
     &abvars_i(253)%iarray0, Agrif_tabvars_i(254)%iarray0, Agrif_tabvars
     &_i(255)%iarray0, Agrif_tabvars_i(256)%iarray0, Agrif_tabvars_i(257
     &)%iarray0, Agrif_tabvars_i(258)%iarray1, Agrif_tabvars_i(259)%iarr
     &ay0, Agrif_tabvars_i(260)%iarray0, Agrif_tabvars_i(261)%iarray0, A
     &grif_tabvars_i(262)%iarray0, Agrif_tabvars_i(263)%iarray0, Agrif_t
     &abvars_i(264)%iarray1, Agrif_tabvars_i(265)%iarray0, Agrif_tabvars
     &_i(266)%iarray0, Agrif_tabvars_i(267)%iarray0, Agrif_tabvars_i(268
     &)%iarray0, Agrif_tabvars_i(269)%iarray0, Agrif_tabvars_i(274)%iarr
     &ay0, Agrif_tabvars_i(275)%iarray0, Agrif_tabvars_i(147)%iarray0, A
     &grif_tabvars_c(17)%carray0)

      end


#include "Sub_Loop_get_bry.h"
      subroutine set_bry (tile)      


      use Agrif_Util
#include "Param_BeforeCall_set_bry.h"
      integer(4) :: tile
      

        call Sub_Loop_set_bry(tile, Agrif_tabvars_i(8)%iarray0, Agrif_ta
     &bvars_i(7)%iarray0)

      end


#include "Sub_Loop_set_bry.h"
      subroutine set_bry_tile (Istr,Iend,Jstr,Jend)      


      use Agrif_Util
#include "Param_BeforeCall_set_bry_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      

        call Sub_Loop_set_bry_tile(Istr,Iend,Jstr,Jend, Agrif_tabvars_i(
     &14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13)%iarra
     &y0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars_i(167)%iarray0, Agri
     &f_tabvars_r(8)%array0, Agrif_tabvars_i(176)%iarray0, Agrif_tabvars
     &(162)%array4, Agrif_tabvars(163)%array3, Agrif_tabvars(164)%array3
     &, Agrif_tabvars(165)%array2, Agrif_tabvars(166)%array3, Agrif_tabv
     &ars(167)%array2, Agrif_tabvars(168)%array2, Agrif_tabvars(169)%arr
     &ay1, Agrif_tabvars(170)%array2, Agrif_tabvars(171)%array1, Agrif_t
     &abvars(172)%array2, Agrif_tabvars(173)%array1, Agrif_tabvars(174)%
     &array4, Agrif_tabvars(175)%array3, Agrif_tabvars(176)%array3, Agri
     &f_tabvars(177)%array2, Agrif_tabvars(178)%array3, Agrif_tabvars(17
     &9)%array2, Agrif_tabvars(180)%array2, Agrif_tabvars(181)%array1, A
     &grif_tabvars(182)%array2, Agrif_tabvars(183)%array1, Agrif_tabvars
     &(184)%array2, Agrif_tabvars(185)%array1, Agrif_tabvars(186)%array4
     &, Agrif_tabvars(187)%array3, Agrif_tabvars(188)%array3, Agrif_tabv
     &ars(189)%array2, Agrif_tabvars(190)%array3, Agrif_tabvars(191)%arr
     &ay2, Agrif_tabvars(192)%array2, Agrif_tabvars(193)%array1, Agrif_t
     &abvars(194)%array2, Agrif_tabvars(195)%array1, Agrif_tabvars(196)%
     &array2, Agrif_tabvars(197)%array1, Agrif_tabvars(198)%array4, Agri
     &f_tabvars(199)%array3, Agrif_tabvars(200)%array3, Agrif_tabvars(20
     &1)%array2, Agrif_tabvars(202)%array3, Agrif_tabvars(203)%array2, A
     &grif_tabvars(204)%array2, Agrif_tabvars(205)%array1, Agrif_tabvars
     &(206)%array2, Agrif_tabvars(207)%array1, Agrif_tabvars(208)%array2
     &, Agrif_tabvars(209)%array1, Agrif_tabvars_l(6)%larray0, Agrif_tab
     &vars(210)%array1, Agrif_tabvars_r(3)%array0, Agrif_tabvars_r(5)%ar
     &ray0, Agrif_tabvars_i(271)%iarray0, Agrif_tabvars_l(13)%larray0, A
     &grif_tabvars_i(8)%iarray0, Agrif_tabvars_l(14)%larray0, Agrif_tabv
     &ars_l(11)%larray0, Agrif_tabvars_i(7)%iarray0, Agrif_tabvars_l(12)
     &%larray0)

      end


#include "Sub_Loop_set_bry_tile.h"
